// optimize-images.mjs
import imagemin from 'imagemin';
import imageminMozjpeg from 'imagemin-mozjpeg';
import imageminOptipng from 'imagemin-optipng';
import path from 'path';

const destination = path.join(process.cwd(), 'public/images-optimized');

(async () => {
  const files = await imagemin(['public/images/*.{jpg,png}'], {
    destination,
    plugins: [
      imageminMozjpeg({ quality: 90 }),
      imageminOptipng({ optimizationLevel: 3 })
    ]
  });
  console.log('Images optimized:', files);
})();
